
Redmine - Patch #41624

CSS-fix to prevent 'blinking' tooltips

2024-10-30 03:02 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 5.0.10   

Description

At [Planio](https://plan.io/redmine-hosting) we've had users of the Chrome browser reporting that sometimes, the tooltip of links was

placed in a way that made it turn on and off while the mouse was placed over the link. It's a bit hard to reproduce but often happened

with narrow viewports and long tooltip content on the edge of the window that got wrapped around onto a second line of text in the

tooltip.

The attached patch fixes that by making the tooltip itself non-reactive to pointer events.

Associated revisions

Revision 23172 - 2024-10-31 09:14 - Marius BĂLTEANU

Prevents 'blinking' tooltips in the rare case where the browser places the tooltip under the cursor (#41624).

Patch by Jens Krämer (user:jkraemer).

Revision 23184 - 2024-11-03 12:40 - Marius BĂLTEANU

Backports r23172 to 5.1-stable (#41624).

Revision 23185 - 2024-11-03 12:42 - Marius BĂLTEANU

Merged r23184 from 5.1-stable to 5.0-stable (#41624).

History

#1 - 2024-11-01 06:56 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 6.0.0

Marius BĂLTEANU committed the fix in r23172. Thank you for your contribution.

#2 - 2024-11-03 12:42 - Marius BĂLTEANU

- Target version changed from 6.0.0 to 5.0.10

I've merged this fix to stable branches.
